Subject: Re: Last Call: 'Domain Name System (DNS) Case Insensitivity Clarification' to Proposed Standard

From: Mark Andrews <[email-masked]>
Date: Thu, 03 Feb 2005 17:31:50 +1100

> The context is clearly Master Files where the syntax is as given.
> For the purposes of this document, which is clarification of the 
> existing DNS conventions, what does it matter what is done elsewhere?
> 
> However, unless there is objection, I'd be happy to change the relevant 
> sentence by inserting "in Master Files" so it reads:
> 
>     One typographic convention in Master Files for octets that do not
>     correspond to an ASCII printing graphic is to use a back-slash
>     followed by the value of the octet as an unsigned integer
>     represented by exactly three decimal digits.
> 
> Thanks,
> Donald
>   ====================================================================
>   Donald E. Eastlake 3rd                       [email-masked]
>   155 Beaver Street              +1-508-634-2066(h) +1-508-786-7554(w)
>   Milford, MA 01757 USA                   [email-masked]

	The convention applies whereever domain names are entered.
 
> On Wed, 2 Feb 2005, Jeffrey Hutzelman wrote:
> 
> > Date: Wed, 02 Feb 2005 20:36:50 -0500
> > From: Jeffrey Hutzelman <[email-masked]>
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: Re: Last Call: 'Domain Name System (DNS) Case Insensitivity
> >     Clarification' to Proposed Standard 
> >
> > On Tuesday, February 01, 2005 06:43:09 PM -0500 The IESG 
> > <[email-masked]> wrote:
> >
> >> The IESG has received a request from the DNS Extensions WG to consider
> >> the  following document:
> >> 
> >> - 'Domain Name System (DNS) Case Insensitivity Clarification '
> >>    <draft-ietf-dnsext-insensitive-05.txt> as a Proposed Standard
> >
> > The document in question states:
> >
> >  One typographic convention for octets that do not correspond to an
> >  ASCII printing graphic is to use a back-slash followed by the value
> >  of the octet as an unsigned integer represented by exactly three
> >  decimal digits.
> >
> > While this is literally true, the _common_ convention is to use a backslash
>  
> > followed by the value of the octet as an unsigned integer represented by 
> > exactly three _octal_ digits.  This is the syntax used by programming 
> > languages like C and perl.  For example, ASCII ESC (0x1b) is represented as
>  
> > \033, not \027.
> >
> > -- Jeffrey T. Hutzelman (N3NHS) <[email-masked]>
> >  Sr. Research Systems Programmer
> >  School of Computer Science - Research Computing Facility
> >  Carnegie Mellon University - Pittsburgh, PA
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>
--
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: "D. J. Bernstein" <[email-masked]>
Date: 3 Feb 2005 20:16:07 -0000

> The convention applies whereever domain names are entered.

Oh, really? I entered http://www.is\067.org into a browser using your
libresolv. Your web server responded with a ``Bad Request'' message,
rather than the www.isc.org web page.

I have no objection to this document _if_ it is limited to zone files.

---D. J. Bernstein, Associate Professor, Department of Mathematics,
Statistics, and Computer Science, University of Illinois at Chicago